curl --request POST \
--url https://apigcp.trynia.ai/v2/slack/installations/{installation_id}/channels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mode": "all",
"include_channels": [
"<string>"
],
"exclude_channels": [
"<string>"
],
"live_sync_channels": [
"<string>"
]
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Configure which channels to index.
curl --request POST \
--url https://apigcp.trynia.ai/v2/slack/installations/{installation_id}/channels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mode": "all",
"include_channels": [
"<string>"
],
"exclude_channels": [
"<string>"
],
"live_sync_channels": [
"<string>"
]
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API key must be provided in the Authorization header
Configure which channels to index.
'all' to index all channels, 'selected' to pick specific ones
Channel IDs to include (when mode='selected')
Channel IDs to exclude
Channel IDs to enable real-time sync (bot joins these channels)
Successful Response
Was this page helpful?